GeminiGemini
Demo environmentGet API key
  • Overview
  • Crypto Trading
  • Prediction Markets
  • Perpetuals
  • Stocks
  • API Reference
  • SDKs & Tools
Changelog
Gemini logoGemini logo

© 2026 Gemini Space Station, Inc.

API Reference overview
REST
    Orders
    Market Data
    Margin Trading
    Staking
    Clearing
    Instant Orders
    Fund Management
    Derivatives
    Prediction markets
    Common
      OAuth
      Admin
        SubaccountsCreate New AccountGet Account DetailList Accounts in GroupRename AccountRoles Endpoint
WebSocket
    Core protocol
      IntroductionCoreAuthenticationCoreMessage formatCore
      Shared streams
        Book tickerL2 partial depthL2 differential depthTrade streamOrder eventsBalance updates
      Shared methods
    Prediction-market extensions
      Streams
        Position updatesPredictionContract statusPrediction
      Combo RFQ
        OverviewPredictionWebSocket streamsPredictionQuote methodsPredictionMaker integrationPredictionExamplesPrediction
FIX
Authentication and account context
Prediction markets schemas

Create New Account

REST APIsCommonAdminCreate New Account

Create New Account

POSThttps://api.gemini.com/v1/account/create

A Master API key can create a new exchange account within the group. This API will return the name of your new account for use with the account parameter when using Master API keys to perform account level functions.

POSTv1/account/create
curl --request POST \
  --url https://api.gemini.com/v1/account/create \
  --header 'Content-Type: application/json' \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>' \
  --data '
{
  "request": "/v1/account/create",
  "nonce": "<nonce>",
  "name": "My Secondary Account",
  "type": "exchange"
}
'

Roles

The API key you use to access this endpoint must be a Master level key and have the Administrator role assigned. See Roles for more information.

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Request Body

requeststring·required
The literal string "/v1/account/create"
nonceTimestampType | integer·required
timestampExample: 1495127793000
namestring·required
A unique name for the new account
typestring
Either `exchange` or `custody` is accepted. Will generate an exchange account if `exchange` or parameter is missing. Will generate a custody account if `custody`.
Example request body
{
  "request": "/v1/account/create",
  "nonce": "<nonce>",
  "name": "My Secondary Account",
  "type": "exchange"
}

Responses

Successful operation

accountstring
Account reference string for use in APIs based off the provided `name` field
typestring
Will return the type of account generated. `exchange` if an exchange account was created, `custody` if a custody account was created
Example Responses
{
  "account": "my-secondary-account",
  "type": "exchange"
}
PreviousSubaccountsNextGet Account Detail